
Figure - Bug #112677
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110868 (New): BSP-BVT测试-上/下电测试

【BSP】【EVT2】【power】【必现】板子过压保护后，再次开机，手势失效只有下滑手势生效
2022-10-18 20:09 - SZTS_TEST 邹涛

Status: CLOSED Start date: 2022-10-18

Priority: High Due date: 2022-11-21

Assignee: CDTS_TEST 刘勇 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V4.0_20221128

Need_Info: -- Found Version: [ro.build.display.id]: [01.00.X101_20221013_private_userdebug]

Resolution: FIXED Degrated: No

Severity: Critical Verified Version:

Reproducibility: Every time Fixed Version: 2022-11-23

Test Type: Free Test Root cause: 编码问题

Description

前置条件：

DUT各模块功能正常且处于开机状态

操作步骤：

1、打开mcuupgrade应用界面，降低电压置8.5V，设备过压保护关机

2、电压恢复到12V，板子正常开机，且恢复到关机之前的mcuupgrade应用界面

3、验证底部上滑，顶部下滑，侧边左右滑动手势是否生效

实际结果：

1、顶部下滑手势有效，底部上滑和侧边左右滑动手势无效

预期结果：

部上滑，顶部下滑，侧边左右滑动手势均能生效

History

#1 - 2022-10-19 11:14 - CD BSP-余霄

- Status changed from New to ASSIGNED

#2 - 2022-10-19 16:33 - CD BSP-余霄

- File logcat.log added

- Assignee changed from CD BSP-余霄 to CD FW-王伟

验证如下：

1.touch驱动正常加载，事件均能正常上报。

2.左右手势也正常。底部上滑无法呼出菜单。

3.使用投屏也无法上滑呼出菜单，排除底层touch上报问题。

4.使用录音APP进行验证，也出现相同现象。

结论：

与MCU升级无关，重启进入APP后上滑、五指手势无法使用

相关日志已上传
请确认一下

#3 - 2022-10-19 16:50 - CD FW-王伟

- Category changed from BSP to CD-APP

- Assignee changed from CD FW-王伟 to CD APP-王营

麻烦确认下recent启动是否出现了问题。

#4 - 2022-10-19 16:53 - CD BSP-余霄

- File log1.txt added

如沟通  已上传LOG

#5 - 2022-10-21 09:17 - CD APP-王营

■ Current conclusion

目前Music应用和图库应用拉起时会出现此现象，Settings  和File应用手势正常。

■ My analysis

无法上滑手势时会有以下异常

10-18 01:13:24.915  2540  2540 E StrictMode: Tried to access the API:ViewConfiguration which needs to have proper configuration from a non-UI

Context:com.android.quickstep.inputconsumers.OtherActivityInputConsumer@eccb42e The API:ViewConfiguration needs a proper configuration. Use UI contexts such

as an activity or a context created via createWindowContext(Display, int, Bundle) or  createConfigurationContext(Configuration) with a proper configuration.

10-18 01:13:24.915  2540  2540 E StrictMode: java.lang.IllegalAccessException: Tried to access the API:ViewConfiguration which needs to have proper configuration from a

non-UI Context:com.android.quickstep.inputconsumers.OtherActivityInputConsumer@eccb42e

10-18 01:13:24.915  2540  2540 E StrictMode:     at android.os.StrictMode.assertConfigurationContext(StrictMode.java:2296)

10-18 01:13:24.915  2540  2540 E StrictMode:     at android.view.ViewConfiguration.get(ViewConfiguration.java:522)

10-18 01:13:24.915  2540  2540 E StrictMode:     at com.android.quickstep.inputconsumers.OtherActivityInputConsumer.<init>(OtherActivityInputConsumer.java:174)

10-18 01:13:24.915  2540  2540 E StrictMode:     at com.android.quickstep.TouchInteractionService.createOtherActivityInputConsumer(TouchInteractionService.java:795)

10-18 01:13:24.915  2540  2540 E StrictMode:     at com.android.quickstep.TouchInteractionService.newBaseConsumer(TouchInteractionService.java:774)

10-18 01:13:24.915  2540  2540 E StrictMode:     at com.android.quickstep.TouchInteractionService.newConsumer(TouchInteractionService.java:660)

10-18 01:13:24.915  2540  2540 E StrictMode:     at com.android.quickstep.TouchInteractionService.onInputEvent(TouchInteractionService.java:557)

10-18 01:13:24.915  2540  2540 E StrictMode:     at com.android.quickstep.TouchInteractionService.lambda$5N8OpQhfWV7_tkhenf8Ys3ECXWs(Unknown Source:0)

10-18 01:13:24.915  2540  2540 E StrictMode:     at

com.android.quickstep.-$$Lambda$TouchInteractionService$5N8OpQhfWV7_tkhenf8Ys3ECXWs.onInputEvent(Unknown Source:2)

10-18 01:13:24.915  2540  2540 E StrictMode:     at

com.android.systemui.shared.system.InputChannelCompat$InputEventReceiver$1.onInputEvent(InputChannelCompat.java:74)

10-18 01:13:24.915  2540  2540 E StrictMode:     at android.view.InputEventReceiver.dispatchInputEvent(InputEventReceiver.java:260)

10-18 01:13:24.915  2540  2540 E StrictMode:     at android.os.MessageQueue.nativePollOnce(Native Method)

10-18 01:13:24.915  2540  2540 E StrictMode:     at android.os.MessageQueue.next(MessageQueue.java:335)

10-18 01:13:24.915  2540  2540 E StrictMode:     at android.os.Looper.loopOnce(Looper.java:161)

10-18 01:13:24.915  2540  2540 E StrictMode:     at android.os.Looper.loop(Looper.java:288)

10-18 01:13:24.915  2540  2540 E StrictMode:     at android.app.ActivityThread.main(ActivityThread.java:7880)

10-18 01:13:24.915  2540  2540 E StrictMode:     at java.lang.reflect.Method.invoke(Native Method)

10-18 01:13:24.915  2540  2540 E StrictMode:     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

10-18 01:13:24.915  2540  2540 E StrictMode:     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

■ Next action

分析异常 看是否可以规避
#6 - 2022-10-21 10:58 - CDTS-TEST 周婷

确认下是否跟硬件相关，如果只是过压保护引起可放在11月中旬版本解决

#7 - 2022-10-25 15:13 - CDTS-TEST 周婷

- Target version set to VX1_MCE_FSE_V3.0_update_20221115

请尽快确认是否跟硬件有关

#8 - 2022-10-27 17:18 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王营 to SZTS_TEST 邹涛

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2022-10-28

- Root cause set to 编码问题

■ Current conclusion

问题已修复，代码已入库，请使用10-28的DB版本验证此问题。

■ My analysis

启动Activity的时候需要添加Flag，拉起的Activity要放入独立栈中，添加代码如下：

intent.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK);

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/158422

#9 - 2022-11-01 16:08 - CDTS_TEST 刘勇

- Assignee changed from SZTS_TEST 邹涛 to CD APP-王营

【HW】EVT2-VX1

【SW】FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0042.X101

【前置条件】

DUT各模块功能正常且处于开机状态

【操作步骤】

1、打开mcuupgrade应用界面，降低电压置8.5V，设备过压保护关机

2、电压恢复到12V，板子正常开机，且恢复到关机之前的mcuupgrade应用界面

3、验证底部上滑，顶部下滑，侧边左右滑动手势是否生效

【实际结果】

3.恢复12V启动后，首次顶部下滑 功能失效。首次TP触点正常、首次左滑生效、首次右滑生效

【验证次数】6次

【验证结果】FAIL， 重启后首次顶部下滑失效
#10 - 2022-11-15 16:56 - CDTS_TEST 王成

- Status changed from RESOLVED to ASSIGNED

#11 - 2022-11-16 17:38 - CDTS_TEST 王成

- Severity changed from Major to Critical

#12 - 2022-11-16 18:34 - CDTS-TEST 周婷

- Due date set to 2022-11-21

- Target version changed from VX1_MCE_FSE_V3.0_update_20221115 to VX1_MCE_FSE_V4.0_20221128

#13 - 2022-11-18 18:41 - CD APP-王营

- % Done changed from 100 to 80

#14 - 2022-11-22 22:19 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王营 to CDTS_TEST 刘勇

- % Done changed from 80 to 100

- Fixed Version changed from 2022-10-28 to 2022-11-23

■ Current conclusion

问题已修复，代码已入库，请使用11-23的DB版本验证此问题。

■ My analysis

Activity启动时间过早，部分touch相关服务未绑定成功，需要在Launcher中延迟启动应用。

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/164618

#15 - 2022-12-01 11:10 - CDTS_TEST 刘勇

【HW】EVT2-VC1整机+屏幕

【SW】FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0053.X101

前置条件：

DUT各模块功能正常且处于开机状态

操作步骤：

1、打开图库 应用界面，降低电压置8.5V，设备过压保护关机

2、电压恢复到12V，板子正常开机，且恢复到关机之前的 图库 应用界面

3、验证底部上滑，顶部下滑，侧边左右滑动手势是否生效

实际结果：

底部上滑，顶部下滑，侧边左右滑动手势均能生效

测试次数： 8次，测试PASS

#16 - 2022-12-01 11:10 - CDTS_TEST 刘勇

- Status changed from RESOLVED to VERIFIED

#17 - 2022-12-01 11:10 - CDTS_TEST 刘勇

- Status changed from VERIFIED to CLOSED
#18 - 2022-12-22 20:54 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

164618 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com

FW: Launcher: Geature ivalide after restart app1. Fix gesture failure after restart the last activity when MCU protect.Change-Id:

Ifb4152eae7f4c34503480697e3006cda3c0dab81TC-RID: 1201-0205306IssueID: TS-R-DF-112677

Files

logcat.txt 3.36 MB 2022-10-18 SZTS_TEST 邹涛

logcat.log 1.79 MB 2022-10-19 CD BSP-余霄

log1.txt 3.36 MB 2022-10-19 CD BSP-余霄
